// ===========================================================================
// CONTENT  : CLASS XMLTags
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 07/06/2001
// HISTORY  :
//  07/06/2001  duma  CREATED
//
// Copyright (c) 2001-2002, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pf.joi.xml;

// ===========================================================================
// IMPORTS
// ===========================================================================
 
/**
 * This class contains all tag and attribute names for the XML
 * representation of inspected objects.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
class XMLTags
{
  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  protected static String tag_DocType() { return "JOI" ; }
  protected static String tag_InspectedObject() { return "InspectedObject" ; }
  protected static String tag_Object() { return "Object" ; }
  protected static String tag_DisplayValue() { return "DisplayValue" ; }
  protected static String tag_Type() { return "Type" ; }
  protected static String tag_Element() { return "Element" ; }
  protected static String tag_Modifier() { return "Modifier" ; }
  protected static String tag_Null() { return "Null" ; }

  protected static String attr_Name() { return "name" ; }

  protected static String visibility_Undefined() { return "undefined" ; }
  protected static String visibility_Package() { return "package" ; }
  protected static String visibility_protected() { return "protected" ; }
  protected static String visibility_Protected() { return "protected" ; }
  protected static String visibility_Private() { return "private" ; }

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  protected XMLTags()
  {
    super() ;
  } // XMLTags()

} // class XMLTags